# DeltaConstIterator< Graph, Direction > Class Template Reference

Iterators use to iterate over subsets of successor/predecessor transitions. More...

List of all members.

## Public Types

typedef Graph | graph_type
| The type of automata implementation.
typedef std::set< typename graph_type::htransition_t > | container_type
| The type of the container it wraps.
typedef container_type::iterator | iterator_type
| The type of iterator used on container_type.
typedef Direction | direction
| Indicates if we want successors or predecessors.

## Public Member Functions

| DeltaConstIterator (const graph_type &g, typename graph_type::hstate_t s)
| Initialize the iterator.
void | next ()
| Step toward the next item.
bool | done () const
| Tell if all the items have been visited.
graph_type::htransition_t | operator* () const
| Access the current item.

## Detailed Description

### template<typename Graph, typename Direction>
class vcsn::listg::DeltaConstIterator< Graph, Direction >

Iterators use to iterate over subsets of successor/predecessor transitions.

Graph is the type of automata implementation. Direction indicates if we want successors or predecessors.

Definition at line 37 of file listg/iterator.hh.

## Constructor & Destructor Documentation

DeltaConstIterator | ( | const graph_type & | g,
|  | typename graph_type::hstate_t | s |
| ) |  |  |

Initialize the iterator.

Parameters:

  | g | the automaton implementation
  | s | the starting state

## Member Function Documentation

bool done | ( |  | ) | const

Tell if all the items have been visited.

Return true if there is no more item to visit and false otherwise.